*:root {
  --nav-background: #000000;
  --nav-background-hide: #d6d6d6;
  --nav-background-transp: rgba(0,0,0,0.82);
  --nav-text: #ffffff;
  --nav-hover: #ffc700;
  --nav-text-hover: #000000;
  --nav-hover-active: var(--nav-hover);
  --nav-hover-text-active: var(--nav-text-hover);
}

.nav-cont {
  display: flex;
  max-width: var(--max-width);
  margin-inline: auto;
  align-self: center;
  padding: 0;
}

.nav-overlay-outside {
  background-color: rgba(0,0,0,0.79);
  min-height: -webkit-fill-available;
  position: fixed;
  z-index: 4;
  inset: 0;
  display: none;
}

nav {
  margin-inline: auto;
  font-family: 'Heebo';
  font-weight: 600;
  font-size: 1rem;
  align-self: center;
  /*background-color: var(--bs-warning);*/
  /*box-shadow: 0px 3px 14px 0px rgb(184,184,184);*/
  /*display: flex;*/
  /*width: 100%;*/
  /*left: 0;*/
}

.main-nav {
  display: flex;
  flex-direction: row;
  /*position: relative;*/
  /*height: 32px;*/
  overflow: hidden;
  min-width: min-content;
}

/* home nav kalo ada dan mau terpisah */

nav .home-nav {
  margin-right: auto;
}

.nav-item .nav-link {
  white-space: pre-wrap;
  text-decoration: none;
  padding: 0.4em 1em;
  color: var(--nav-text);
  flex-wrap: nowrap;
  align-content: center;
  border-radius: 40px;
}

.nav-item .nav-link:hover {
  color: var(--nav-text-hover);
  background-color: var(--nav-hover);
  transition: all 0.4s ease;
}

.nav-item .nav-link.active {
  color: var(--nav-text-hover);
  background-color: var(--nav-hover);
  transition: 0.4s ease;
}

.btn-menu-close-side {
  display: none;
  z-index: 8;
}

.btn-menu {
  /*color: #ffffff;*/
  font-size: 1.7rem;
  position: relative;
  /*opacity: 0;*/
  border: none;
  border-color: #000000;
}

.btn-menu.show {
  opacity: 1;
  /*color: #ffffff;*/
  /*font-size: 1.7rem;*/
  /*position: relative;*/
}

/* search */

.search-cont {
  position: relative;
  /*min-width: 200px;*/
  width: 100%;
  /*margin-top: .8rem;*/
  /*margin-left: .8rem;*/
  /*margin-right: .8rem;*/
  /*margin-bottom: .4rem;*/
  display: flex;
  align-items: center;
  /*background-color: #0d6efd;*/
}

nav {
  /*width: 100%;*/
  left: -100%;
  /*height: -webkit-fill-available;*/
  z-index: 10;
  transition: left .3s ease-out;
}

/* WRAPPED DETECTED ===================================================== */

.nav-cont.wrap .main-nav {
  height: 0;
  overflow: hidden;
  width: 100%;
}

.show.nav-overlay-outside {
  display: block !important;
}

.nav-cont.wrap .btn-menu-close-side {
  display: block;
  z-index: 8;
}

.nav-cont.wrap nav {
  /*display: none !important;*/
}

nav.show {
  width: 80%;
  position: fixed;
  left: 0;
  background-color: #080808;
  z-index: 5;
  height: -webkit-fill-available;
  flex-direction: column;
  top: 0;
}

nav.show .main-nav {
  flex-direction: column;
  height: 100%;
  align-items: start;
}

nav.show .a {
  font-size: 1.5rem;
  width: max-content;
}

.nav-cont.wrap .show .main-nav {
  height: 100%;
}

.nav-cont.wrap .search-cont {
  min-width: min(120px ,80%);
  display: flex;
  align-self: center;
  top: 5px;
  align-content: center;
}

/* btn close side menu */

.btn-menu-close-side {
  color: #ffffff;
  font-size: 2rem;
}

.wrap nav {
  left: 0;
  /*background-color: var(--nav-background-hide);*/
}

/* dropdownd */

.dropdown-menu {
  background-color: #ffffff;
  padding: 0;
  position: absolute;
}

.dropdown-menu.show {
  /*margin-top: 20px;*/
}

.dropdown-item {
  color: #000000;
}

.dropdown-item:hover {
  color: #b3b3b3;
  background-color: #4a4a4a;
}

